﻿using Infragistics.Win.UltraWinEditors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RadioButtonsGroups
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraRadioButton5.GroupManager = this.ultraRadioButtonGroupManager1;
            this.ultraRadioButton6.GroupManager = this.ultraRadioButtonGroupManager1;

            var firstGroup = this.ultraRadioButton1.GetAllRadioButtonsInGroup().ToList();
            foreach (UltraRadioButton radioButton in firstGroup)
            {
                radioButton.CheckedChanged += RadioButtonsGroup1_CheckedChanged;
            }

            UltraRadioButton buttonFromGroupBox = this.ultraGroupBox1.Controls[0] as UltraRadioButton;
            var secondGroup = buttonFromGroupBox.GetAllRadioButtonsInGroup().ToList();
            foreach (UltraRadioButton radioButton in secondGroup)
            {
                radioButton.CheckedChanged += RadioButtonsGroup2_CheckedChanged;
            }
        }

        private void RadioButtonsGroup1_CheckedChanged(object sender, EventArgs e)
        {
            UltraRadioButton rb = sender as UltraRadioButton;
            if (rb.Checked)
            {
                Console.WriteLine("Radio button from Group 1 Checked!");
            }
        }

        private void RadioButtonsGroup2_CheckedChanged(object sender, EventArgs e)
        {
            UltraRadioButton rb = sender as UltraRadioButton;
            if (rb.Checked)
            {
                Console.WriteLine("Radio button from Group 2 Checked!");
            }
        }

        private void ultraRadioButtonGroupManager1_SelectionChanged(object sender, Infragistics.Win.UltraWinEditors.RadioButtonGroupManagerSelectionChangedEventArgs e)
        {
            Console.WriteLine("Radio button with Group manager selection changed");
        }
    }
}
